package xyz.wbsite.action.screen;

import xyz.wbsite.frame.base.Screen;
import org.springframework.ui.Model;
import java.util.HashMap;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class Index extends Screen {

    @Override
    public void exec(Model model, HttpServletRequest request, HttpServletResponse response) {

        // 获取配置
        HashMap<String, Object> prop = new HashMap<>();
        prop.put("open", true);//是否保持一个子菜单展开
        prop.put("coll", true);//左侧菜单是否收缩
        prop.put("tran", false);//是否展示动画
        prop.put("full", false);//是否全屏
        model.addAttribute("prop", prop);
    }
}
